%
% This is part of CLFSja package.
%
% This is a CTIE change file for the original XML source of the CLFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <para>The DHCPCD package provides a DHCP Client for network configuration.</para>
@y
    <para>
    DHCPCD パッケージはネットワーク設定を行う DHCP クライアントを提供します。
    </para>
@z

@x
    <title>Installation of DHCPCD</title>
@y
    <title>&InstallationOf1;DHCPCD &InstallationOf2;</title>
@z

@x
    <para os="a">If you wish to configure your network to connect to a DHCP
      server, you will first need to install a DHCP client. CLFS uses the
      DHCPCD package for this.</para>
@y
    <para os="a">
    DHCP サーバーに接続する設定を行う場合には、まず DHCP クライアントをインストールする必要があります。
    CLFS では DHCPCD パッケージを利用します。
    </para>
@z

@x
    <para os="b">Prepare DHCPCD for compilation:</para>
@y
    <para os="b">&PreparePackage1;DHCPCD &PreparePackage2;</para>
@z

@x
    <para os="d">Compile the package:</para>
@y
    <para os="d">&CompileThePackage;</para>
@z

@x
    <para os="f">This package does not come with a test suite.</para>
@y
    <para os="f">&NotExistTestsuite;</para>
@z

@x
    <para os="g">Install the package:</para>
@y
    <para os="g">&InstallThePackage;</para>
@z

@x
    <title>Creating the DHCP Network Interface Configuration Files</title>
@y
    <title>DHCP ネットワークインターフェイス向け設定ファイルの生成</title>
@z

@x
    <para>First install the service from the CLFS Bootscripts package:</para>
@y
    <para>
    まずは CLFS Bootscripts パッケージからサービスをインストールします。
    </para>
@z

@x
    <para>Finally, create the
    <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhcpcd</filename>
    configuration file using the following commands. Adjust appropriately for
    additional interfaces:</para>
@y
    <para>
    次に以下のコマンドを実行して設定ファイル <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhcpcd</filename> を生成します。
    他のインターフェースについても適切に設定してください。
    </para>
@z

@x
    <para>The <envar>DHCP_START</envar> and <envar>DHCP_STOP</envar> variables
    arguments that are passed onto <filename>dhcpcd</filename> when starting
    and stoppping the service. More information about what can be passed can
    be found in the <filename>dhcpcd(8)</filename> man page.</para>
@y
    <para>
    <envar>DHCP_START</envar> 変数と <envar>DHCP_STOP</envar> 変数に設定された値は <filename>dhcpcd</filename> に引き渡されて、サービスの起動あるいは終了を行います。
    設定する値の詳細については <filename>dhcpcd(8)</filename> を参照してください。
    </para>
@z

@x
    <para>To configure another Static Interface, Follow <xref linkend="ch-network-static"/>.</para>
@y
    <para>
    これ以外にスタティックインターフェースを設定する場合は <xref linkend="ch-network-static"/> に進んでください。
    </para>
@z

@x
    <title>Contents of dhcpcd</title>
@y
    <title>&ContentsOf1;dhcpcd &ContentsOf2;</title>
@z

@x
      <segtitle>Installed files</segtitle>
@y
      <segtitle>&InstalledFile;</segtitle>
@z

@x
        <seg>dhcpcd</seg>
@y
        <seg>dhcpcd</seg>
@z

@x
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@y
      <bridgehead renderas="sect3">&ShortDescriptions;</bridgehead>
@z

@x dhcpcd
          <para>dhcpcd is an implementation of the DHCP client specified in
          RFC 2131. It gets the host information from a DHCP server and
          configures the network interface automatically.</para>
@y
          <para>
          dhcpcd は RFC2131 にて定義されている DHCP クライアントの実装です。
          DHCP サーバーからホスト情報を取得してネットワークインターフェースの設定を自動的に行います。
          </para>
@z